import { createSvgIcon } from "@mui/material/utils";

const KOIcon = createSvgIcon(
  <svg
    width="60"
    height="60"
    viewBox="0 0 60 60"
    fill="none"
    xmlns="http://www.w3.org/2000/svg">
    <g clipPath="url(#clip0_694_33646)">
      <path
        d="M30 0C24.0666 0 18.2664 1.75947 13.3329 5.05591C8.39943 8.35235 4.55426 13.0377 2.28363 18.5195C0.0129986 24.0013 -0.581102 30.0333 0.576455 35.8527C1.73401 41.6721 4.59123 47.0176 8.78681 51.2132C12.9824 55.4088 18.3279 58.266 24.1473 59.4236C29.9667 60.5811 35.9987 59.987 41.4805 57.7164C46.9623 55.4458 51.6477 51.6006 54.9441 46.6671C58.2405 41.7336 60 35.9334 60 30C59.9908 22.0463 56.8271 14.4211 51.203 8.79703C45.5789 3.17294 37.9537 0.00926306 30 0ZM43.725 40.19C43.9638 40.4206 44.1542 40.6965 44.2853 41.0015C44.4163 41.3065 44.4853 41.6345 44.4881 41.9665C44.491 42.2984 44.4278 42.6276 44.3021 42.9349C44.1764 43.2421 43.9907 43.5213 43.756 43.756C43.5213 43.9907 43.2421 44.1764 42.9349 44.3021C42.6277 44.4278 42.2985 44.491 41.9665 44.4881C41.6346 44.4852 41.3065 44.4163 41.0015 44.2853C40.6965 44.1542 40.4206 43.9638 40.19 43.725L30.44 33.975C30.3221 33.8587 30.1631 33.7934 29.9975 33.7934C29.8319 33.7934 29.6729 33.8587 29.555 33.975L19.805 43.725C19.3324 44.1865 18.6981 44.4448 18.0375 44.4448C17.377 44.4448 16.7426 44.1865 16.27 43.725C15.8013 43.2562 15.538 42.6204 15.538 41.9575C15.538 41.2946 15.8013 40.6588 16.27 40.19L26.02 30.44C26.0781 30.3822 26.1243 30.3134 26.1557 30.2377C26.1872 30.162 26.2034 30.0808 26.2034 29.9988C26.2034 29.9167 26.1872 29.8356 26.1557 29.7598C26.1243 29.6841 26.0781 29.6153 26.02 29.5575L16.27 19.8075C15.8016 19.3381 15.5388 18.7018 15.5395 18.0386C15.5402 17.3754 15.8043 16.7397 16.2738 16.2713C16.7432 15.8028 17.3795 15.54 18.0427 15.5407C18.7058 15.5414 19.3416 15.8056 19.81 16.275L29.56 26.025C29.6181 26.0832 29.687 26.1294 29.763 26.1609C29.8389 26.1924 29.9203 26.2086 30.0025 26.2086C30.0847 26.2086 30.1661 26.1924 30.2421 26.1609C30.318 26.1294 30.387 26.0832 30.445 26.025L40.195 16.275C40.4234 16.0272 40.6996 15.8281 41.0069 15.6898C41.3142 15.5514 41.6463 15.4766 41.9833 15.4698C42.3202 15.4631 42.6551 15.5246 42.9677 15.6505C43.2802 15.7765 43.5641 15.9644 43.8023 16.2028C44.0404 16.4413 44.2279 16.7255 44.3534 17.0382C44.4789 17.351 44.5399 17.6859 44.5327 18.0229C44.5255 18.3598 44.4502 18.6918 44.3114 18.999C44.1726 19.3061 43.9731 19.5819 43.725 19.81L33.975 29.56C33.9169 29.6178 33.8708 29.6866 33.8393 29.7623C33.8078 29.838 33.7916 29.9192 33.7916 30.0012C33.7916 30.0833 33.8078 30.1644 33.8393 30.2402C33.8708 30.3159 33.9169 30.3847 33.975 30.4425L43.725 40.19Z"
        fill="currentColor"
      />
    </g>
    <defs>
      <clipPath id="clip0_694_33646">
        <rect width="60" height="60" fill="white" />
      </clipPath>
    </defs>
  </svg>,
  "KO"
);

export default KOIcon;
